Pango::AttrFloat Class Reference

A Pango::AttrFloat is used to represent an attribute with a float or double value. More...

`#include <pangomm/attributes.h>`

Inheritance diagram for Pango::AttrFloat:
[legend]

## Public Member Functions

| AttrFloat (const AttrFloat& src)
| AttrFloat (PangoAttrFloat* castitem, bool take_copy=true)
AttrFloat& | operator= (const AttrFloat& src)
double | get_value () const
| Gets the floating point value of the attribute. More...
void | set_value (const double& value)
| Sets the floating point value of the attribute. More...
PangoAttrFloat* | gobj ()
| Provides access to the underlying C GObject. More...
const PangoAttrFloat* | gobj () const
| Provides access to the underlying C GObject. More...
Public Member Functions inherited from Pango::Attribute
| Attribute ()
| Constructs an invalid attribute. More...
| Attribute (const Attribute& src)
| Attribute (PangoAttribute* castitem, bool take_copy=true)
| ~Attribute ()
Attribute& | operator= (const Attribute& src)
AttrType | get_type () const
| Gets the type ID for this attribute. More...
unsigned int | get_start_index () const
| Gets the start index of the range. More...
unsigned int | get_end_index () const
| Gets the end index of the range. More...
void | set_start_index (const unsigned int& value)
| Sets the start index of the range. More...
void | set_end_index (const unsigned int& value)
| Sets the end index of the range. More...
bool | equal (const Attribute& attr2) const
| Compare two attributes for equality. More...
PangoAttribute* | gobj ()
| Provides access to the underlying C GObject. More...
const PangoAttribute* | gobj () const
| Provides access to the underlying C GObject. More...

## Protected Member Functions

| AttrFloat ()

## Related Functions

(Note that these are not member functions.)
Pango::AttrFloat | wrap (PangoAttrFloat* object, bool take_copy=false)
Related Functions inherited from Pango::Attribute
bool | operator== (const Attribute& lhs, const Attribute& rhs)
bool | operator!= (const Attribute& lhs, const Attribute& rhs)
Pango::Attribute | wrap (PangoAttribute* object, bool take_copy=false)

## Additional Inherited Members

Static Public Member Functions inherited from Pango::Attribute
static AttrType | register_type (const Glib::ustring& name)
| Allocate a new attribute type ID. More...
static AttrString | create_attr_family (const Glib::ustring& family)
| Create a new font family attribute. More...
static AttrLanguage | create_attr_language (const Language& language)
| Create a new language tag attribute. More...
static AttrColor | create_attr_foreground (guint16 red, guint16 green, guint16 blue)
| Create a new foreground color attribute. More...
static AttrColor | create_attr_background (guint16 red, guint16 green, guint16 blue)
| Create a new background color attribute. More...
static AttrInt | create_attr_foreground_alpha (guint16 alpha)
| Create a new foreground alpha attribute. More...
static AttrInt | create_attr_background_alpha (guint16 alpha)
| Create a new background alpha attribute. More...
static AttrInt | create_attr_size (int size)
| Create a new font-size attribute. More...
static AttrInt | create_attr_style (Style style)
| Create a new font slant style attribute. More...
static AttrInt | create_attr_weight (Weight weight)
| Create a new font weight attribute. More...
static AttrInt | create_attr_variant (Variant variant)
| Create a new font variant attribute (normal or small caps). More...
static AttrInt | create_attr_stretch (Stretch stretch)
| Create a new font stretch attribute. More...
static AttrFontDesc | create_attr_font_desc (const FontDescription& desc)
| Create a new font description attribute. More...
static AttrInt | create_attr_underline (Underline underline)
| Create a new underline-style object. More...
static AttrInt | create_attr_strikethrough (bool strikethrough)
| Create a new font strike-through attribute. More...
static AttrInt | create_attr_rise (int rise)
| Create a new baseline displacement attribute. More...
static AttrFloat | create_attr_scale (double scale_factor)
| Create a new font size scale attribute. More...
static AttrShape | create_attr_shape (const Rectangle& ink_rect, const Rectangle& logical_rect)
| Create a new shape attribute. More...
Protected Attributes inherited from Pango::Attribute
PangoAttribute* | gobject_

## Detailed Description

A Pango::AttrFloat is used to represent an attribute with a float or double value.

## Constructor & Destructor Documentation

Pango::AttrFloat::AttrFloat | ( |  | ) |

protected

Pango::AttrFloat::AttrFloat | ( | const AttrFloat& | src | ) |

Pango::AttrFloat::AttrFloat | ( | PangoAttrFloat * | castitem,
|  | bool | take_copy = `true`
| ) |  |

explicit

## Member Function Documentation

double Pango::AttrFloat::get_value | ( |  | ) | const

Gets the floating point value of the attribute.

Returns
  The floating point value of the attribute.

PangoAttrFloat* Pango::AttrFloat::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const PangoAttrFloat* Pango::AttrFloat::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

AttrFloat& Pango::AttrFloat::operator= | ( | const AttrFloat& | src | ) |

void Pango::AttrFloat::set_value | ( | const double & | value | ) |

Sets the floating point value of the attribute.

Parameters

  value | The new floating point value for the attribute.

## Friends And Related Function Documentation

Pango::AttrFloat wrap | ( | PangoAttrFloat * | object,
|  | bool | take_copy = `false`
| ) |  |

related